coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawList2609170000

按受理号码查看退货撤回记录

# 01

简介

按受理号码查看退货撤回记录

# 02

详细内容

API支持的买家用户地区:韩国

通过取消(退货)受理号码查看撤回的退货记录。

路径

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawList

示例端点

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnWithdrawList
# 03

Path 参数

NameTypeDescription
vendorId*object
卖家ID

酷澎分配给卖家的固有代码

e.g. A00012345
# 04

请求体参数

请求参数

请求体参数

NameTypeDescription
vendorId*object
卖家ID

酷澎分配给卖家的固有代码

e.g. A00012345
cancelIds*object[]
可查看撤回记录的取消(退货)受理号码列表

一次最多可查看50个cancel Id

Cancel Id必须为数字
codestring
Http请求
messagestring
成功或失败时显示相应结果信息
dataobject
cancelId
data.cancelId
string
取消(退货)受理号码
orderId
data.orderId
string
订单号码
vendorId
data.vendorId
string
卖家代码
refundDeliveryDuty
data.refundDeliveryDuty
string
退货责任方
COM
data.COM
object
createdAt
data.createdAt
string
撤回取消(退货)的时间

yyyy-MM-ddThh:mm:ss
vendorItemIds
data.vendorItemIds
string
退货属性ID列表
500 (确认请求参数)string
查看输入的退货受理号码(cancellds)是否正确。该项未输入时会发生500error。
请求示例application/json
{
  "cancelIds": [
    87033689
  ]
}
# 05

响应体

响应消息

NameTypeDescription
codestring
Http请求
messagestring
成功或失败时显示相应结果信息
dataobject[]
cancelId
data[].cancelId
integer
取消(退货)受理号码
orderId
data[].orderId
integer
订单号码
vendorId
data[].vendorId
string
卖家代码
refundDeliveryDuty
data[].refundDeliveryDuty
string
退货责任方
COM
data[].COM
string
CUSstring
顾客
COUstring
Coupang
createdAt
COU.createdAt
string
撤回取消(退货)的时间

yyyy-MM-ddThh:mm:ss
vendorItemIds
COU.vendorItemIds
object[]
退货属性ID列表

Response Example

{
  "code": "200",
  "message": "OK",
  "data": [
    {
      "cancelId": 87033689,
      "orderId": 23000016565020,
      "vendorId": "A00001234",
      "refundDeliveryDuty": "COM",
      "createdAt": "2018-06-05T13:40:56",
      "vendorItemIds": [
        3737624764
      ]
    }
  ]
}
# 06

错误码

HTTP代码消息
400HTTP_400Bad Request

错误说明

HTTP类型错误消息解决方案
500500 (确认请求参数)

CReturns getWithdrawnList

failed

查看输入的退货受理号码(cancellds)是否正确。该项未输入时会发生500error。